WIPEFS(8)

NAMN
wipefs - radera en signatur från en enhet

SYNOPSIS

wipefs [flaggor] enhet...

wipefs [--backup] -o offset enhet...

wipefs [--backup] -a enhet...

BESKRIVNING

wipefs kan radera filsystem-, raid- eller partitionstabellsignaturer (magiska strängar) från den angivna enheten för att göra signaturerna osynliga för libblkid. wipefs raderar inte själva filsystemet eller några andra data från enheten.

När wipefs används utan några flaggor listas alla synliga filsystem och offseten för deras grundläggande signaturer. Standardutdata kan komma att ändras. Så när det är möjligt bör du undvika att använda standardutmatningar i dina skript. Definiera alltid uttryckligen förväntade kolumner genom att använda --output columns-list i miljöer där en stabil utdata krävs.

wipefs anropar BLKRRPART ioctl när den har raderat en partitionstabellsignatur för att informera kärnan om ändringen. Ioctl anropas som sista steg och när alla specificerade signaturer från alla specificerade enheter redan har raderats. Den här funktionen kan användas för att radera innehåll på partitionsenheter samt en partitionstabell på en diskenhet, t.ex. med wipefs -a /dev/sdc1 /dev/sdc2 /dev/sdc.

Observera att vissa filsystem och vissa partitionstabeller lagrar fler magiska strängar på enheten (t.ex. FAT, ZFS, GPT). Kommandot wipefs (sedan v2.31) listar alla offsets där magiska strängar har upptäckts.

När flaggan -a används raderas alla magiska strängar som är synliga för libblkid(3). I detta fall skannar wipefs enheten igen efter varje modifiering (radering) tills ingen magisk sträng hittas.

Observera att wipefs som standard inte raderar nästlade partitionstabeller på enheter som inte är hela hårddiskar. För detta krävs flaggan --force.

FLAGGOR

-a, --all
    Radera alla tillgängliga signaturer. Uppsättningen av raderade signaturer kan begränsas med flaggan -t. När den utförs på en partitionerad hel diskenhet som /dev/sdX, raderas endast partitionstabellerna, inte innehållet i partitionerna.

-b, --backup[=dir]
    Skapa en signaturbackup till filen wipefs-<devname>-<offset>.bak i $HOME eller den katalog som anges som valfritt argument. För mer information se avsnittet EXEMPEL.

-f, --force
    Force erasure, even if the filesystem is mounted. This is also required in order to erase a nested partition-table signature on a non-whole disk device.

-J, --json
    Använd JSON-utdataformat.

--lock[=läge]
    Use an exclusive BSD lock for the device or file that is operated upon. The optional argument mode can be yes (1), no (0), or nonblock. If the mode argument is omitted, it defaults to yes. This option overrides the environment variable $LOCK_BLOCK_DEVICE. The default is to not use any lock at all, but using a lock is recommended to avoid collisions with systemd-udevd(8) or other tools.

-i, --noheadings
    Skriv inte ut någon rubrikrad.

-O, --output lista
    Ange vilka utdatakolumner som ska skrivas ut. Använd --help för att få en lista över alla kolumner som stöds.

-n, --no-act
    Gör att allt görs utom anropet write(2).

-o, --offset offset
    Ange platsen (i byte) för den signatur som ska raderas från enheten. Siffran offset kan innehålla prefixet "0x"; då tolkas siffran som ett hex-värde. Det är möjligt att ange flera -o-flaggor.

    Argumentet offset kan följas av de multiplikativa suffixen KiB (=1024), MiB (=1024*1024) och så vidare för GiB, TiB, PiB, EiB, ZiB och YiB (iB är valfritt, t.ex. har "K" samma betydelse som "KiB"), eller suffixen KB (=1000), MB (=1000*1000) och så vidare för GB, TB, PB, EB, ZB och YB.

-p, --parsable
    Skriv ut i ett format som kan analyseras i stället för att skrivas ut. Kodar alla potentiellt osäkra tecken i en sträng till motsvarande hex-värde med prefixet "\x".

-q, --quiet
    Undertryck alla meddelanden efter en lyckad signaturtömning.

-t, --types lista
    Begränsa uppsättningen utskrivna eller raderade signaturer. Mer än en typ kan anges i en kommaseparerad lista. Listan eller enskilda typer kan föregås av "no" för att ange vilka typer som inte ska åtgärdas. För mer information se mount(8).

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

MILJÖ

LIBBLKID_DEBUG=all
    aktiverar libblkid(3) felsökningsutdata.

LOCK_BLOCK_DEVICE=<mode>
    använd exklusivt BSD-lås. Läget är "1" eller "0". Se --lock för mer information.

LIBSMARTCOLS_DEBUG=all
    aktiverar libsmartcols felsökningsutdata.

LIBSMARTCOLS_DEBUG_PADDING=on
    använda synliga utfyllnadstecken.

EXEMPEL

wipefs /dev/sda*
    Skriver ut information om sda och alla partitioner på sda.

wipefs --all --backup /dev/sdb
    Raderar alla signaturer från enheten /dev/sdb och skapar en säkerhetskopieringsfil ~/wipefs-sdb-<offset>.bak för varje signatur.

dd if=~/wipefs-sdb-0x00000438.bak of=/dev/sdb seek=$((0x00000438)) bs=1 conv=notrunc
    Återställer en ext2-signatur från säkerhetskopian ~/wipefs-sdb-0x00000438.bak.

UPPHOVSPERSONER

SE ÄVEN

blkid(8), findfs(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot wipefs ingår i paketet util-linux som kan hämtas från